<?php
/**
 *
 * @author  ahrasis http://smf.ahrasis.com
 * @license BSD http://opensource.org/licenses/BSD-3-Clause
 * @mod     LUP: Logout Under Profile
 *
 */
 
if (!defined('SMF')) 
	die('Hacking attempt...');

function LUP_Menu(&$areas)
{
	global $txt, $modSettings, $scripturl, $user_info, $settings, $context;
	
	// Load the language
	loadLanguage('LUP');
	
	// Create Logout Under Profile
	if (!empty($modSettings['lup_enable'])) {

		if (isset($areas['logout']))
			unset($areas['logout']);

		$profilelogout = array(
			'logout' => array(
				'title' => $txt['logout'],
				'href' => $scripturl . sprintf('?action=logout;%1$s=%2$s',  $context['session_var'], $context['session_id']),
				'show' => !$user_info['is_guest'],
			),
		);

		// Insert after all available slice.
		$first = array_slice($areas['profile']['sub_buttons'], 0);
		$areas['profile']['sub_buttons'] = array_merge($first, $profilelogout);
	}
}

function LUP_Settings(&$config_vars)
{
	global $txt;
	
	// Load the language
	loadLanguage('LUP');

	$lup = array(
			// Logout Under Profile Settings
			array('check', 'lup_enable'),
	);
	// Insert after all available slice.
	$first = array_slice($config_vars, 0);
	$config_vars = array_merge($first, $lup);
}
?>